Skip to content

List Available Card Types

GET /openapi/v1/cards/types
ItemValue
HTTP methodGET
Request path/openapi/v1/cards/types
Request typequery

Request parameters:

FieldTypeRequiredDefaultDescription
cardTypestringNoNoneCard type; currently known values are PHYSICAL, VIRTUAL. Product configuration may introduce additional values; up to 32 characters.
currencystringNoNoneCard product currency, usually a three-letter ISO 4217 code. Product configuration may introduce additional values; up to 16 characters.
cardSchemestringNoNoneCard network; common values are VISA, MASTERCARD. Product configuration may introduce additional values; up to 32 characters.
pageintegerNo1Page number, minimum 1.
pageSizeintegerNo20Number of items per page, from 1 to 100.

Response data

FieldTypeDescription
itemsarrayList of card types.
items[].cardTypeIdstringCard type ID.
items[].displayNamestringDisplay name.
items[].cardTypestringCard type; currently known values are PHYSICAL, VIRTUAL. Product configuration may introduce additional values.
items[].currencystringCard product currency, usually a three-letter ISO 4217 code. Product configuration may introduce additional values.
items[].cardSchemestringCard network; common values are VISA, MASTERCARD. Product configuration may introduce additional values.
items[].priceAmountstringCard issuance price, as a decimal string without scientific notation.
items[].priceAssetCodestringCard issuance price asset.
items[].cardImageUrlstringCard image URL.
items[].cardDescstringCard description.
pageintegerCurrent page number.
pageSizeintegerNumber of items per page.
totalintegerTotal count.